FileControllerGetFileByName Method |
POST /File/Name/
Gets the file.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Name")]
public HttpResponseMessage GetFileByName(
[FromBodyAttribute] FileEntryOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Name")>
Public Function GetFileByName (
<FromBodyAttribute> options As FileEntryOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Name")]
HttpResponseMessage^ GetFileByName(
[FromBodyAttribute] FileEntryOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Name")>]
member GetFileByName :
[<FromBodyAttribute>] options : FileEntryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsFileEntryOptions
A FileEntryOptions object containing the needed information. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the session.
Return Value
Type:
HttpResponseMessageFileData object containing requested information or a status code indicating the reason for a failure.
See Also